Skip to main content
GET
/
content
/
policy
List DNS Content Filtering Policies
curl --request GET \
  --url https://v1.api.altostrat.io/content/policy \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://v1.api.altostrat.io/content/policy"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://v1.api.altostrat.io/content/policy', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "id": "9a9a3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8a",
    "name": "Standard Employee Policy",
    "applications": [
      "9a9b3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8b",
      "9a9c3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8c"
    ],
    "safe_search": [
      {
        "id": "9a9f3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8f",
        "option": "strict"
      }
    ],
    "dns_whitelist": [
      "internal.corp.com",
      "status.altostrat.io"
    ],
    "dns_blacklist": [
      "malicious-site.net"
    ],
    "block_adult": true,
    "attachments": 5,
    "created_at": "2025-10-29T13:04:44Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

A list of DNS policies.

id
string<uuid>
read-only

The unique identifier for the DNS policy.

Example:

"9a9a3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8a"

name
string

A human-readable name for the policy.

Example:

"Standard Employee Policy"

applications
string<uuid>[]

A list of application IDs to be blocked by this policy.

Example:
[
  "9a9b3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8b",
  "9a9c3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8c"
]

A list of Safe Search enforcement rules.

dns_whitelist
string<hostname>[]

A list of fully qualified domain names (FQDNs) to always allow, overriding any blocking rules.

Example:
["internal.corp.com", "status.altostrat.io"]
dns_blacklist
string<hostname>[]

A list of fully qualified domain names (FQDNs) to always block.

Example:
["malicious-site.net"]
block_adult
boolean

If true, automatically blocks all applications categorized as adult content.

Example:

true

attachments
integer
read-only

The number of sites currently using this policy.

Example:

5

created_at
string<date-time>
read-only

The timestamp when the policy was created.

Example:

"2025-10-29T13:04:44Z"